Package org.h2.mvstore.tx

# Class TransactionMap.TMIterator<K,V,X>

java.lang.Object
org.h2.mvstore.tx.TransactionMap.TMIterator<K,V,X>

All Implemented Interfaces:
  `Iterator<X>`

Enclosing class:
  TransactionMap<K,V>

public abstract static class TransactionMap.TMIterator<K,V,X> extends Object implements Iterator<X>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Cursor<K,VersionedValue<V>>`
`cursor`

## Method Summary

Modifier and Type
Method
Description
`abstract X`
`fetchNext()`
Fetches a next entry.
`final boolean`
`hasNext()`
`final X`
`next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Field Details

### cursor

protected final Cursor<K,VersionedValue<V>> cursor

## Method Details

### fetchNext

public abstract X fetchNext()
Fetches a next entry. This method cannot be used together with `hasNext()` and `next()`.

Returns:
  the next entry or `null`

### hasNext

public final boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<K>`

### next

public final X next()

Specified by:
  `next` in interface `Iterator<K>`